<button class="crwaler-form-back-btn" mat-flat-button color="primary" type="button" routerLink="crawler"
    style="margin:0px 20px;">Back</button>

<form [formGroup]="crawlerForm" class="crwlform">
    <h1>Add Crawler</h1>
    <div class="text-box-align">
        <!--Name input-->
        <div>
            <mat-form-field appearance="fill">
                <mat-label for="name">Name</mat-label>
                <input matInput type="text" formControlName="name" class="form-control" required
                    [ngClass]="{ 'is-invalid': submitted && crawlerFormControls['name'].errors }" />
            </mat-form-field>
            <div *ngIf="submitted && crawlerFormControls['name'].errors" class="invalid-feedback">
                <mat-error *ngIf="crawlerFormControls['name'].errors['required']">Name is required</mat-error>
            </div>
        </div>
        <!-- Description input-->
        <div>
            <mat-form-field appearance="fill">
                <mat-label for="description">Description</mat-label>
                <input matInput type="text" formControlName="description" class="form-control" required
                    [ngClass]="{ 'is-invalid': submitted && crawlerFormControls['description'].errors }" />
            </mat-form-field>
            <div *ngIf="submitted && crawlerFormControls['description'].errors" class="invalid-feedback">
                <mat-error *ngIf="crawlerFormControls['description'].errors['required']">Description is required
                </mat-error>
            </div>
        </div>
    </div>

    <div class="grid-align wrapper-check">
        <!-- Active checkbox-->
        <div>
            <mat-checkbox formControlName="active" (change)="setCheckboxControlValue($event,'active')"
                class="form-control" [ngClass]="{ 'is-invalid': submitted && crawlerFormControls['active'].errors }">
            </mat-checkbox>
            <mat-label for="active">Active</mat-label>
        </div>

        <!-- New checkbox-->
        <div>
            <mat-checkbox formControlName="new" class="form-control" (change)="setCheckboxControlValue($event,'new')"
                [ngClass]="{ 'is-invalid': submitted && crawlerFormControls['new'].errors }"></mat-checkbox>
            <mat-label for="new">New</mat-label>
        </div>

        <!-- Testing checkbox-->
        <diV>
            <mat-checkbox formControlName="testing" class="form-control"
                (change)="setCheckboxControlValue($event,'testing')"
                [ngClass]="{ 'is-invalid': submitted && crawlerFormControls['testing'].errors }"></mat-checkbox>
            <mat-label for="testing">Testing</mat-label>
        </diV>
        <!-- Updated checkbox-->
        <div>
            <mat-checkbox formControlName="updated" class="form-control"
                (change)="setCheckboxControlValue($event,'updated')"
                [ngClass]="{ 'is-invalid': submitted && crawlerFormControls['updated'].errors }"></mat-checkbox>
            <mat-label for="updated">Updated</mat-label>
        </div>
    </div>

    <!-- Proxy dropdown -->
    <div class="grid-align width-setup">
        <mat-form-field appearance="fill">
            <mat-label>Proxies</mat-label>
            <div *ngIf="proxyLoader" class="spinr">
                <mat-spinner class="spin"></mat-spinner>
            </div>
            <mat-select formControlName="proxy_id" name="food">
                <mat-option *ngFor="let proxy of proxies" [value]="proxy.id">
                    {{proxy.name}}
                </mat-option>
            </mat-select>

        </mat-form-field>
        <button mat-raised-button color="primary" (click)="proxyPopup()">New Proxy</button>
    </div>

    <!-- Agent dropdown -->
    <div class="grid-align width-setup">
        <mat-form-field appearance="fill">
            <mat-label>Agents</mat-label>
            <div *ngIf="agentLoader" class="spinr">
                <mat-spinner class="spin"></mat-spinner>
            </div>
            <mat-select formControlName="agent_id" name="food">
                <mat-option *ngFor="let agent of agents" [value]="agent.id">
                    {{agent.name}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <button mat-raised-button color="primary" (click)="agentPopup()">New Agent</button>
    </div>

    <!-- Configuration dropdown -->
    <div class="grid-align width-setup">
        <mat-form-field appearance="fill">
            <mat-label>Configuration</mat-label>
            <div *ngIf="configurationLoader" class="spinr">
                <mat-spinner class="spin"></mat-spinner>
            </div>
            <mat-select formControlName="configuration_id" name="food">
                <mat-option *ngFor="let configuration of configurations" [value]="configuration.id">
                    {{configuration.name}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <button mat-raised-button color="primary" (click)="configurationPopup()">New Configuration</button>
    </div>


    <div class="btn-align">
        <button class="save-btn" mat-raised-button color="primary" (click)="submitCrawler()">Save</button>
        <button class="save-btn color-btn" mat-stroked-button (click)="reset()">Cancel</button>
    </div>

</form>